Package twisted :: Package python :: Module components

[show private | hide private]
[frames | no frames]

## Module twisted.python.components

Component architecture for Twisted.

Classes
`Componentized` | I am a mixin to allow you to be adapted in various ways persistently.
`AdapterRegistry` |

Function Summary
| ``implements`(obj, interfaceClass)` Return boolean indicating if obj implements the given interface.
| ``getInterfaces`(obj)` Return list of all interfaces a class implements.
| ``superInterfaces`(interface)` Given an interface, return list of super-interfaces (including itself).

Variable Summary
`MetaInterface` | `Interface`
`instance method` | `registerAdapter`
`instance method` | `getAdapter`
`instance method` | `getAdapterClassWithInheritance`
`instance method` | `getAdapterFactory`

Function Details

### getInterfaces(obj)

Return list of all interfaces a class implements.

### implements(obj, interfaceClass)

Return boolean indicating if obj implements the given interface.

### superInterfaces(interface)

Given an interface, return list of super-interfaces (including itself).

Variable Details

### getAdapter

`getAdapter` = `twisted.python.components.AdapterRegistry.getAdapter`

### getAdapterClassWithInheritance

`getAdapterClassWithInheritance` = `twisted.python.components.AdapterRegistry.getAdapterClassWithInheritance`

### getAdapterFactory

`getAdapterFactory` = `twisted.python.components.AdapterRegistry.getAdapterFactory`

### Interface

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.python.components.Interface'>

### registerAdapter

`registerAdapter` = `twisted.python.components.AdapterRegistry.registerAdapter`

Generated by Epydoc 1.1 on Thu May 8 13:16:48 2003 | http://epydoc.sf.net